#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           krdp
Summary:        Desktop sharing using RDP
Version: 6.3.5
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        LGPL-2.1-only OR LGPL-3.0-only
URL:            https://invent.kde.org/plasma/krdp
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## Upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Keychain)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6Crash)

BuildRequires:  cmake(KPipeWire) >= 5.27.80
BuildRequires:  cmake(PlasmaWaylandProtocols)

# Constrain to FreeRDP 2 for now: https://invent.kde.org/plasma/krdp/-/issues/15
BuildRequires:  cmake(FreeRDP) < 3
BuildRequires:  cmake(WinPR) < 3
BuildRequires:  cmake(FreeRDP-Server) < 3
BuildRequires:  freerdp3

BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(xkbcommon)

%description
Library and examples for creating an RDP server.

%files -f %{name}.lang
%doc README.md
%{_kf6_categoriesdir}/krdp.categories
%{_kf6_categoriesdir}/kcm_krdpserver.categories
%{_kf6_bindir}/krdpserver
%{_kf6_applicationsdir}/kcm_krdpserver.desktop
%{_kf6_applicationsdir}/org.kde.krdp.desktop
%{_qt6_plugindir}/plasma/kcms/systemsettings/kcm_krdpserver.so
%{_userunitdir}/app-org.kde.krdpserver.service

#--------------------------------------------------------------------

%define major   6
%define libkrdp %mklibname %{name} %{major}

%package -n %{libkrdp}
Summary:        Library for creating an RDP server
Group:          System/Libraries

%description -n %{libkrdp}
Library for creating an RDP server.

%files -n %{libkrdp}
%license LICENSES/LGPL-*.txt LICENSES/LicenseRef-KDE-*
%{_kf6_libdir}/libKRdp.so.%{major}{,.*}

#--------------------------------------------------------------------

%define libkrdp_devel %mklibname %{name} -d

%package -n %{libkrdp_devel}
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{libkrdp} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libkrdp_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{libkrdp_devel}
%{_kf6_libdir}/libKRdp.so
%{_kf6_libdir}/cmake/KRdp/

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-html --all-name


%changelog
* Tue May 06 2025 daviddavid <daviddavid> 6.3.5-1.mga10
+ Revision: 2181357
- New version 6.3.5

* Wed Apr 02 2025 daviddavid <daviddavid> 6.3.4-1.mga10
+ Revision: 2172632
- New version 6.3.4

* Wed Mar 19 2025 daviddavid <daviddavid> 6.3.3-1.mga10
+ Revision: 2166362
- New version 6.3.3

* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152452
- New version 6.3.2

* Thu Feb 20 2025 daviddavid <daviddavid> 6.3.1-2.mga10
+ Revision: 2149919
- fix systemd startup

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149383
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146908
- New version 6.3.0

* Fri Jan 24 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2141169
- New version 6.2.91

* Sat Jan 11 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2137950
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134168
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119040
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113150
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110029
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107206
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104437
- New version 6.2.0

* Mon Sep 16 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2097027
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083899
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079109
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076706
- New version 6.1.1

* Wed Jun 19 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2075112
- New version 6.1.0

* Sat Jun 08 2024 daviddavid <daviddavid> 6.0.90-1.mga10
+ Revision: 2071056
- initial package krdp

